%global major_version 9.1
%global minor_version 2
%define dist          .el6dsrv

%global dsname redhat-ds
%global shortname redhat-admin
%global pkgname dirsrv

%global consolelang en

Name: redhat-admin-console
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: Red Hat Admin Server Management Console

Group: Applications/System
License: GPLv2
URL: https://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: %{name}-%{version}.tar.bz2
Requires: %{dsname}-admin
Requires: 389-admin-console
BuildRequires: java-devel >= 1.8.0
BuildRequires: 389-admin-console
BuildRequires: 389-admin-console-doc

%description
A Java based remote management console used for Managing Red Hat
Admin Server.

%package          doc
Summary:          Web docs for Red Hat Admin Server Management Console
Group:            Documentation
Requires:         %{name} = %{version}-%{release}
Requires:         389-admin-console-doc

%description      doc
Web docs for Red Hat Admin Server Management Console

%prep
%setup -q
                                                                                
%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
# copy the jar with the localized bits
cp -p %{_datadir}/%{pkgname}/html/java/389-admin_%{consolelang}.jar $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar
mkdir -p com/netscape/management/admserv/images
# replace 389 skin with our skin and update the jar
cp -p admin.gif com/netscape/management/admserv/images
%{jar} uvf $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar com/netscape/management/admserv/images/admin.gif

# do a sed on the header.html to create the skinned version
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/admin/help
sed -e 's/389 Management/Red Hat Identity Management/g' %{_datadir}/%{pkgname}/manual/%{consolelang}/admin/header.html > $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/admin/skin-header.html
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/%{consolelang}/admin/skin-header.html

# create symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
# just link to the 389 jar
ln -s 389-admin.jar %{shortname}.jar
ln -s %{shortname}.jar %{shortname}-%{version}.jar
ln -s %{shortname}.jar %{shortname}-%{major_version}.jar
# the admin_lang jar is a real file, not a symlink
ln -s %{shortname}-%{version}_%{consolelang}.jar %{shortname}-%{major_version}_%{consolelang}.jar
ln -s %{shortname}-%{version}_%{consolelang}.jar %{shortname}_%{consolelang}.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_%{consolelang}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}_%{consolelang}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}_%{consolelang}.jar

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/%{pkgname}/manual/%{consolelang}/admin/skin-header.html

%changelog
* Tue May 10 2016 Noriko Hosoi <nhosoi@redhat.com> - 9.1.2-1
- release 9.1.2

* Thu Feb 26 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.1.1-1
- release 9.1.1

* Mon Feb 23 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.2.0-2
- bump version to 9.2.0

* Mon Feb 23 2015 Noriko Hosoi <nhosoi@redhat.com> - 9.2.0-1
- bump version to 9.2.0
- added dist .el6dsrv

* Tue Jan 29 2013 Noriko Hosoi <nhosoi@redhat.com> - 9.1.0-1
- bump version to 9.1.0

* Fri Jun 17 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-1
- recast package to be a skin package around 389-admin-console

* Wed Jun  2 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-2
- Version 8.2.0 RC2
- git tag Directory_Server_8_2_RC2

* Mon Apr  5 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-1
- Version 8.2.0

* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-2
- Updated URL

* Thu Jan  8 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-1
- updated for the 8.1.0 release

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-11
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-10
- Updated online help documentation.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 8.0.0-9
- Build with newer idmconsole and jdk 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> - 8.0.0-6
- Corrected sources.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> - 8.0.0-5
- Updated sources.

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4
- use pkgname instead of dsname for filesystem path naming

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-3
- Fixed console banner image.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-2
- Added online help files to package.
                                                                                
* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-1
- Initial creation
